servers
Update a server
Update server metadata such as display name, description, repository, icon, or visibility.
PATCH
/
servers
/
{qualifiedName}
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const server = await client.servers.update('qualifiedName');
console.log(server.namespace);curl --request PATCH \
--url https://api.smithery.ai/servers/{qualifiedName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"description": "<string>",
"homepage": "<string>",
"repositoryUrl": "<string>",
"backlinkUrl": "<string>",
"license": "<string>",
"iconUrl": "<string>",
"unlisted": true
}
'import requests
url = "https://api.smithery.ai/servers/{qualifiedName}"
payload = {
"displayName": "<string>",
"description": "<string>",
"homepage": "<string>",
"repositoryUrl": "<string>",
"backlinkUrl": "<string>",
"license": "<string>",
"iconUrl": "<string>",
"unlisted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
{
"success": true,
"namespace": "<string>",
"server": "<string>"
}{
"error": "Server not found"
}{
"error": "Server not found"
}{
"error": "Server not found"
}Authorizations
Smithery API key as Bearer token
Path Parameters
The server's qualified name (e.g. 'namespace/server' or 'namespace' for namespace-only servers). Use %2F to encode the slash.
Body
application/json
Was this page helpful?
Previous
Transfer a serverMove a server to another namespace. The caller must have server write access to both the source namespace and the destination namespace.
Next
⌘I
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const server = await client.servers.update('qualifiedName');
console.log(server.namespace);